package com.yifu.cloud.plus.v1.yifu.common.security.token;

import org.springframework.security.core.GrantedAuthority;

import java.util.Collection;

/**
 * 手机验证码token
 */
public class WxAuthenticationToken extends MyAuthenticationToken {

    public WxAuthenticationToken(Object principal, Object credentials) {
        super(principal, credentials);
    }

    public WxAuthenticationToken(Object principal, Object credentials, Collection<? extends GrantedAuthority> authorities) {
        super(principal, credentials, authorities);
    }

}
